Skip to main content
`Ctrl`+`K`

# numpy.emath.log10

emath.log10(x)

  Compute the logarithm base 10 of x.

  Return the “principal value” (for a description of this, see `numpy.log10`) of \(log_{10}(x)\). For real x > 0, this is a real number (`log10(0)` returns `-inf` and `log10(np.inf)` returns `inf`). Otherwise, the complex principle value is returned.

  Parameters:
    x array_like or scalar

      The value(s) whose log base 10 is (are) required.

  Returns:
    out ndarray or scalar

      The log base 10 of the x value(s). If x was a scalar, so is out, otherwise an array object is returned.

  See also

  `numpy.log10`

  Notes

  For a log10() that returns `NAN` when real x < 0, use `numpy.log10` (note, however, that otherwise `numpy.log10` and this `log10` are identical, i.e., both return `-inf` for x = 0, `inf` for x = inf, and, notably, the complex principle value if `x.imag != 0`).

  Examples

      >>> import numpy as np

  (We set the printing precision so the example can be auto-tested)

      >>> np.set_printoptions(precision=4)

      >>> np.emath.log10(10**1)
      1.0

      >>> np.emath.log10([-10**1, -10**2, 10**2])
      array([1.+1.3644j, 2.+1.3644j, 2.+0.j    ])